<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: DayzExpansion/Core/Scripts/4_world/dayzexpansion_core/classes/useractionscomponent/actions/expansionactiontoolbase.c File Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.12</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d9/d59/expansionactiontoolbase_8c.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#nested-classes">Data Structures</a> &#124;
<a href="#func-members">Functions</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle"><div class="title">expansionactiontoolbase.c File Reference</div></div>
</div><!--header-->
<div class="contents">

<p><a href="../../d9/d59/expansionactiontoolbase_8c_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="nested-classes" name="nested-classes"></a>
Data Structures</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d5b/class_expansion_action_tool_base_c_b.html">ExpansionActionToolBaseCB</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">Provides base classes for tool-based continuous actions with animation fitting the tool.  <a href="../../d4/d5b/class_expansion_action_tool_base_c_b.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="func-members" name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a2ec52ac05c8ad9e5ed942654ca2bf05b"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d59/expansionactiontoolbase_8c.html#a2ec52ac05c8ad9e5ed942654ca2bf05b">ExpansionActionToolBase</a> ()</td></tr>
<tr class="memdesc:a2ec52ac05c8ad9e5ed942654ca2bf05b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Minimum health [0.0..1.0] at which target is considered destroyed, negative value = ignore.  <a href="../../d9/d59/expansionactiontoolbase_8c.html#a2ec52ac05c8ad9e5ed942654ca2bf05b">More...</a><br /></td></tr>
<tr class="separator:a2ec52ac05c8ad9e5ed942654ca2bf05b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae6a4a9c901dbed9f819534aac090ffdb"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d59/expansionactiontoolbase_8c.html#ae6a4a9c901dbed9f819534aac090ffdb">Setup</a> (<a class="el" href="../../d4/dc0/playerbase_8c.html#aae9be6814641164b753f18f7cf37075d">PlayerBase</a> player, <a class="el" href="../../d6/d69/class_action_target.html">ActionTarget</a> target, <a class="el" href="../../de/d7a/class_item_base.html">ItemBase</a> item)</td></tr>
<tr class="separator:ae6a4a9c901dbed9f819534aac090ffdb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa9aa4864fae11769c65e644b5fd97c66"><td class="memItemLeft" align="right" valign="top">override bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d59/expansionactiontoolbase_8c.html#aa9aa4864fae11769c65e644b5fd97c66">ActionCondition</a> (<a class="el" href="../../d4/dc0/playerbase_8c.html#aae9be6814641164b753f18f7cf37075d">PlayerBase</a> player, <a class="el" href="../../d6/d69/class_action_target.html">ActionTarget</a> target, <a class="el" href="../../de/d7a/class_item_base.html">ItemBase</a> item)</td></tr>
<tr class="separator:aa9aa4864fae11769c65e644b5fd97c66"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad7c2b71ba925a43a0fef9ef4aa765963"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d59/expansionactiontoolbase_8c.html#ad7c2b71ba925a43a0fef9ef4aa765963">CreateAndSetupActionCallback</a> (ActionData action_data)</td></tr>
<tr class="separator:ad7c2b71ba925a43a0fef9ef4aa765963"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a498da9d7d9b0a9126f488206f249e2f2"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d59/expansionactiontoolbase_8c.html#a498da9d7d9b0a9126f488206f249e2f2">OnStartAnimationLoopServer</a> (ActionData action_data)</td></tr>
<tr class="separator:a498da9d7d9b0a9126f488206f249e2f2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acda6d37054929cd6366f74e65d1fcb37"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d59/expansionactiontoolbase_8c.html#acda6d37054929cd6366f74e65d1fcb37">OnEndAnimationLoopServer</a> (ActionData action_data)</td></tr>
<tr class="separator:acda6d37054929cd6366f74e65d1fcb37"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a00cda41fe9dd093059da5c4b83b591bc"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d59/expansionactiontoolbase_8c.html#a00cda41fe9dd093059da5c4b83b591bc">OnFinishProgressServer</a> (ActionData action_data)</td></tr>
<tr class="separator:a00cda41fe9dd093059da5c4b83b591bc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7e310183f43025ce658eacd370b5c9d5"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../de/d7a/class_item_base.html">ItemBase</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d59/expansionactiontoolbase_8c.html#a7e310183f43025ce658eacd370b5c9d5">GetTargetItem</a> (Object targetObject)</td></tr>
<tr class="memdesc:a7e310183f43025ce658eacd370b5c9d5"><td class="mdescLeft">&#160;</td><td class="mdescRight">Just kept for compatibility with 3rd party mods.  <a href="../../d9/d59/expansionactiontoolbase_8c.html#a7e310183f43025ce658eacd370b5c9d5">More...</a><br /></td></tr>
<tr class="separator:a7e310183f43025ce658eacd370b5c9d5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab13031d4de848683f92141940303ee08"><td class="memItemLeft" align="right" valign="top">Object&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d59/expansionactiontoolbase_8c.html#ab13031d4de848683f92141940303ee08">GetActualTargetObject</a> (Object targetObject)</td></tr>
<tr class="memdesc:ab13031d4de848683f92141940303ee08"><td class="mdescLeft">&#160;</td><td class="mdescRight">Override this in derived classes to return a different object than targetObject.  <a href="../../d9/d59/expansionactiontoolbase_8c.html#ab13031d4de848683f92141940303ee08">More...</a><br /></td></tr>
<tr class="separator:ab13031d4de848683f92141940303ee08"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="var-members" name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:a4749cf45b5ac2fa0714864c058c69ef7"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d4/d5b/class_expansion_action_tool_base_c_b.html">ExpansionActionToolBaseCB</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d59/expansionactiontoolbase_8c.html#a4749cf45b5ac2fa0714864c058c69ef7">m_TargetName</a></td></tr>
<tr class="separator:a4749cf45b5ac2fa0714864c058c69ef7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:add986a8b0d3f724b01921fec4db98151"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d59/expansionactiontoolbase_8c.html#add986a8b0d3f724b01921fec4db98151">m_Cycles</a></td></tr>
<tr class="separator:add986a8b0d3f724b01921fec4db98151"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a251cefc67ac9028e215f99dcff20e945"><td class="memItemLeft" align="right" valign="top">float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d59/expansionactiontoolbase_8c.html#a251cefc67ac9028e215f99dcff20e945">m_Time</a></td></tr>
<tr class="separator:a251cefc67ac9028e215f99dcff20e945"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a51b79bdc2b37130cb81f4e4dece7bcc8"><td class="memItemLeft" align="right" valign="top">float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d59/expansionactiontoolbase_8c.html#a51b79bdc2b37130cb81f4e4dece7bcc8">m_ToolDamagePercent</a></td></tr>
<tr class="separator:a51b79bdc2b37130cb81f4e4dece7bcc8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5d58fa44f06a47200f78a92dedcb5efd"><td class="memItemLeft" align="right" valign="top">float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d59/expansionactiontoolbase_8c.html#a5d58fa44f06a47200f78a92dedcb5efd">m_MinHealth01</a></td></tr>
<tr class="memdesc:a5d58fa44f06a47200f78a92dedcb5efd"><td class="mdescLeft">&#160;</td><td class="mdescRight">If tool damage is 100% and the tool does not consume energy, it WILL be ruined no matter what when the action finishes.  <a href="../../d9/d59/expansionactiontoolbase_8c.html#a5d58fa44f06a47200f78a92dedcb5efd">More...</a><br /></td></tr>
<tr class="separator:a5d58fa44f06a47200f78a92dedcb5efd"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Function Documentation</h2>
<a id="aa9aa4864fae11769c65e644b5fd97c66" name="aa9aa4864fae11769c65e644b5fd97c66"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa9aa4864fae11769c65e644b5fd97c66">&#9670;&#160;</a></span>ActionCondition()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">override bool ActionCondition </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d4/dc0/playerbase_8c.html#aae9be6814641164b753f18f7cf37075d">PlayerBase</a>&#160;</td>
          <td class="paramname"><em>player</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d6/d69/class_action_target.html">ActionTarget</a>&#160;</td>
          <td class="paramname"><em>target</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../de/d7a/class_item_base.html">ItemBase</a>&#160;</td>
          <td class="paramname"><em>item</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/d59/expansionactiontoolbase_8c_source.html#l00064">64</a> of file <a class="el" href="../../d9/d59/expansionactiontoolbase_8c_source.html">expansionactiontoolbase.c</a>.</p>

</div>
</div>
<a id="ad7c2b71ba925a43a0fef9ef4aa765963" name="ad7c2b71ba925a43a0fef9ef4aa765963"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad7c2b71ba925a43a0fef9ef4aa765963">&#9670;&#160;</a></span>CreateAndSetupActionCallback()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">override void CreateAndSetupActionCallback </td>
          <td>(</td>
          <td class="paramtype">ActionData&#160;</td>
          <td class="paramname"><em>action_data</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p >Powered items</p>
<p >Tools &amp; melee weapons (excluding knifes)</p>
<p >All other items</p>

<p class="definition">Definition at line <a class="el" href="../../d9/d59/expansionactiontoolbase_8c_source.html#l00082">82</a> of file <a class="el" href="../../d9/d59/expansionactiontoolbase_8c_source.html">expansionactiontoolbase.c</a>.</p>

</div>
</div>
<a id="a2ec52ac05c8ad9e5ed942654ca2bf05b" name="a2ec52ac05c8ad9e5ed942654ca2bf05b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2ec52ac05c8ad9e5ed942654ca2bf05b">&#9670;&#160;</a></span>ExpansionActionToolBase()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void ExpansionActionToolBase </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Minimum health [0.0..1.0] at which target is considered destroyed, negative value = ignore. </p>

<p class="definition">Definition at line <a class="el" href="../../d9/d59/expansionactiontoolbase_8c_source.html#l00051">51</a> of file <a class="el" href="../../d9/d59/expansionactiontoolbase_8c_source.html">expansionactiontoolbase.c</a>.</p>

</div>
</div>
<a id="ab13031d4de848683f92141940303ee08" name="ab13031d4de848683f92141940303ee08"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab13031d4de848683f92141940303ee08">&#9670;&#160;</a></span>GetActualTargetObject()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Object GetActualTargetObject </td>
          <td>(</td>
          <td class="paramtype">Object&#160;</td>
          <td class="paramname"><em>targetObject</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Override this in derived classes to return a different object than targetObject. </p>

<p class="definition">Definition at line <a class="el" href="../../d9/d59/expansionactiontoolbase_8c_source.html#l00183">183</a> of file <a class="el" href="../../d9/d59/expansionactiontoolbase_8c_source.html">expansionactiontoolbase.c</a>.</p>

</div>
</div>
<a id="a7e310183f43025ce658eacd370b5c9d5" name="a7e310183f43025ce658eacd370b5c9d5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7e310183f43025ce658eacd370b5c9d5">&#9670;&#160;</a></span>GetTargetItem()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../de/d7a/class_item_base.html">ItemBase</a> GetTargetItem </td>
          <td>(</td>
          <td class="paramtype">Object&#160;</td>
          <td class="paramname"><em>targetObject</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Just kept for compatibility with 3rd party mods. </p>

<p class="definition">Definition at line <a class="el" href="../../d9/d59/expansionactiontoolbase_8c_source.html#l00176">176</a> of file <a class="el" href="../../d9/d59/expansionactiontoolbase_8c_source.html">expansionactiontoolbase.c</a>.</p>

</div>
</div>
<a id="acda6d37054929cd6366f74e65d1fcb37" name="acda6d37054929cd6366f74e65d1fcb37"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acda6d37054929cd6366f74e65d1fcb37">&#9670;&#160;</a></span>OnEndAnimationLoopServer()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">override void OnEndAnimationLoopServer </td>
          <td>(</td>
          <td class="paramtype">ActionData&#160;</td>
          <td class="paramname"><em>action_data</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/d59/expansionactiontoolbase_8c_source.html#l00129">129</a> of file <a class="el" href="../../d9/d59/expansionactiontoolbase_8c_source.html">expansionactiontoolbase.c</a>.</p>

</div>
</div>
<a id="a00cda41fe9dd093059da5c4b83b591bc" name="a00cda41fe9dd093059da5c4b83b591bc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a00cda41fe9dd093059da5c4b83b591bc">&#9670;&#160;</a></span>OnFinishProgressServer()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">override void OnFinishProgressServer </td>
          <td>(</td>
          <td class="paramtype">ActionData&#160;</td>
          <td class="paramname"><em>action_data</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p >Damage tool if it does not have an energy manager or quantity</p>
<p >If it's the last cycle and tool damage is set to 100%, the tool will be ruined no matter what</p>
<p >Deplete tool by converting tool dmg to quantity</p>
<p >If it's the last cycle and tool damage is set to 100%, the tool will be fully depleted no matter what</p>

<p class="definition">Definition at line <a class="el" href="../../d9/d59/expansionactiontoolbase_8c_source.html#l00140">140</a> of file <a class="el" href="../../d9/d59/expansionactiontoolbase_8c_source.html">expansionactiontoolbase.c</a>.</p>

</div>
</div>
<a id="a498da9d7d9b0a9126f488206f249e2f2" name="a498da9d7d9b0a9126f488206f249e2f2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a498da9d7d9b0a9126f488206f249e2f2">&#9670;&#160;</a></span>OnStartAnimationLoopServer()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">override void OnStartAnimationLoopServer </td>
          <td>(</td>
          <td class="paramtype">ActionData&#160;</td>
          <td class="paramname"><em>action_data</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p >Convert tool dmg pct to energy usage (less ~10% so fully charged/filled tool will last for the configured number of raid cycles)</p>

<p class="definition">Definition at line <a class="el" href="../../d9/d59/expansionactiontoolbase_8c_source.html#l00115">115</a> of file <a class="el" href="../../d9/d59/expansionactiontoolbase_8c_source.html">expansionactiontoolbase.c</a>.</p>

</div>
</div>
<a id="ae6a4a9c901dbed9f819534aac090ffdb" name="ae6a4a9c901dbed9f819534aac090ffdb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae6a4a9c901dbed9f819534aac090ffdb">&#9670;&#160;</a></span>Setup()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Setup </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d4/dc0/playerbase_8c.html#aae9be6814641164b753f18f7cf37075d">PlayerBase</a>&#160;</td>
          <td class="paramname"><em>player</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d6/d69/class_action_target.html">ActionTarget</a>&#160;</td>
          <td class="paramname"><em>target</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../de/d7a/class_item_base.html">ItemBase</a>&#160;</td>
          <td class="paramname"><em>item</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p >15 minutes</p>

<p class="definition">Definition at line <a class="el" href="../../d9/d59/expansionactiontoolbase_8c_source.html#l00056">56</a> of file <a class="el" href="../../d9/d59/expansionactiontoolbase_8c_source.html">expansionactiontoolbase.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Variable Documentation</h2>
<a id="add986a8b0d3f724b01921fec4db98151" name="add986a8b0d3f724b01921fec4db98151"></a>
<h2 class="memtitle"><span class="permalink"><a href="#add986a8b0d3f724b01921fec4db98151">&#9670;&#160;</a></span>m_Cycles</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int m_Cycles</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/d59/expansionactiontoolbase_8c_source.html#l00045">45</a> of file <a class="el" href="../../d9/d59/expansionactiontoolbase_8c_source.html">expansionactiontoolbase.c</a>.</p>

</div>
</div>
<a id="a5d58fa44f06a47200f78a92dedcb5efd" name="a5d58fa44f06a47200f78a92dedcb5efd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5d58fa44f06a47200f78a92dedcb5efd">&#9670;&#160;</a></span>m_MinHealth01</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">float m_MinHealth01</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>If tool damage is 100% and the tool does not consume energy, it WILL be ruined no matter what when the action finishes. </p>

<p class="definition">Definition at line <a class="el" href="../../d9/d59/expansionactiontoolbase_8c_source.html#l00049">49</a> of file <a class="el" href="../../d9/d59/expansionactiontoolbase_8c_source.html">expansionactiontoolbase.c</a>.</p>

</div>
</div>
<a id="a4749cf45b5ac2fa0714864c058c69ef7" name="a4749cf45b5ac2fa0714864c058c69ef7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4749cf45b5ac2fa0714864c058c69ef7">&#9670;&#160;</a></span>m_TargetName</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d4/d5b/class_expansion_action_tool_base_c_b.html">ExpansionActionToolBaseCB</a> m_TargetName</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a251cefc67ac9028e215f99dcff20e945" name="a251cefc67ac9028e215f99dcff20e945"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a251cefc67ac9028e215f99dcff20e945">&#9670;&#160;</a></span>m_Time</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">float m_Time</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/d59/expansionactiontoolbase_8c_source.html#l00047">47</a> of file <a class="el" href="../../d9/d59/expansionactiontoolbase_8c_source.html">expansionactiontoolbase.c</a>.</p>

</div>
</div>
<a id="a51b79bdc2b37130cb81f4e4dece7bcc8" name="a51b79bdc2b37130cb81f4e4dece7bcc8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a51b79bdc2b37130cb81f4e4dece7bcc8">&#9670;&#160;</a></span>m_ToolDamagePercent</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">float m_ToolDamagePercent</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/d59/expansionactiontoolbase_8c_source.html#l00048">48</a> of file <a class="el" href="../../d9/d59/expansionactiontoolbase_8c_source.html">expansionactiontoolbase.c</a>.</p>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_6127fff2da0a20e2dc2cd9302c584350.html">DayzExpansion</a></li><li class="navelem"><a class="el" href="../../dir_fa1f4f079ed95106cba6603012ba90d8.html">Core</a></li><li class="navelem"><a class="el" href="../../dir_4763e2204ca4935d3e08fff4ec8c41d9.html">Scripts</a></li><li class="navelem"><a class="el" href="../../dir_2f8e807662ba55784a08a7a744bca2da.html">4_world</a></li><li class="navelem"><a class="el" href="../../dir_941d75c2f3e001cbf2e710cd4f7d66b3.html">dayzexpansion_core</a></li><li class="navelem"><a class="el" href="../../dir_fde4ebb0f214ef7c3c8294622a009974.html">classes</a></li><li class="navelem"><a class="el" href="../../dir_f555e9bea97b25daad793b5356d1a5c2.html">useractionscomponent</a></li><li class="navelem"><a class="el" href="../../dir_ebe2728bee2d9ca5851343381d237e13.html">actions</a></li><li class="navelem"><a class="el" href="../../d9/d59/expansionactiontoolbase_8c.html">expansionactiontoolbase.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
